OpenNMS API 1.2.9

## org.opennms.web.admin.users.parsers
Class NotificationInfo

    java.lang.Object
      org.opennms.web.admin.users.parsers.NotificationInfo

All Implemented Interfaces:
  java.lang.Cloneable

public class NotificationInfo
extends java.lang.Object
implements java.lang.Cloneable

This class stores notification information for a user

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.util.List` `m_dutySchedules` The list of duty schedules associated with this user
`private java.lang.String` `m_email` The email address of the user
`private java.lang.String` `m_numericalPin` The pin to use for numerical pages
`private java.lang.String` `m_numericalService` The service to use for numerical pages
`private java.lang.String` `m_pagerEmail` The email address for a pager (in case there is no analog modem to dial out with a page request
`private java.lang.String` `m_textPin` The pin to use for text pages
`private java.lang.String` `m_textService` The service to use for text pages
`private java.lang.String` `m_xmppAddress` The XMPP address of the user.

Constructor Summary
`NotificationInfo()` Default constructor, initializes the member variables

Method Summary
`void` `addDutySchedule(DutySchedule aSchedule)` This method adds a duty schedule
`java.lang.Object` `clone()`
`int` `getDutyScheduleCount()` Returns the number of DutySchedule object for a user
`java.util.List` `getDutySchedules()` Returns the full list of DutySchedules
`java.lang.String` `getEmail()` Returns the email address
`java.lang.String` `getNumericalPin()` Returns the numerical pin string
`java.lang.String` `getNumericalService()` Returns the numerical service string
`java.lang.String` `getPagerEmail()` Returns the pager email address
`java.lang.String` `getTextPin()` Returns the text pin string
`java.lang.String` `getTextService()` Returns the text service string
`java.lang.String` `getXMPPAddress()` Returns the XMPP address
`boolean` `isOnDuty(java.util.Calendar aTime)` Returns a boolean indicating if the user is on duty at the specified time.
`void` `setDutySchedule(java.util.List someSchedules)` This method sets a full list of duty schedules for a user
`void` `setEmail(java.lang.String anEmail)` Sets the email address
`void` `setNumericalPin(java.lang.String aPin)` Sets the numerical pin
`void` `setNumericalService(java.lang.String aService)` Sets the numerical service string
`void` `setPagerEmail(java.lang.String anEmail)` Sets the pager email address
`void` `setTextPin(java.lang.String aPin)` Sets the text pin string
`void` `setTextService(java.lang.String aService)` Sets the text service string
`void` `setXMPPAddress(java.lang.String anAddress)` Sets the XMPP address
`java.lang.String` `toString()` A String representation of the notification information, primarily used for debugging.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_email

    private java.lang.String m_email

  The email address of the user

### m_pagerEmail

    private java.lang.String m_pagerEmail

  The email address for a pager (in case there is no analog modem to dial out with a page request

### m_xmppAddress

    private java.lang.String m_xmppAddress

  The XMPP address of the user.

### m_numericalService

    private java.lang.String m_numericalService

  The service to use for numerical pages

### m_numericalPin

    private java.lang.String m_numericalPin

  The pin to use for numerical pages

### m_textService

    private java.lang.String m_textService

  The service to use for text pages

### m_textPin

    private java.lang.String m_textPin

  The pin to use for text pages

### m_dutySchedules

    private java.util.List m_dutySchedules

  The list of duty schedules associated with this user

Constructor Detail

### NotificationInfo

    public NotificationInfo()

  Default constructor, initializes the member variables

Method Detail

### clone

    public java.lang.Object clone()

### setEmail

    public void setEmail(java.lang.String anEmail)

  Sets the email address

  Parameters:
    `anEmail` - the email address

### setPagerEmail

    public void setPagerEmail(java.lang.String anEmail)

  Sets the pager email address

  Parameters:
    `anEmail` - the new email address

### setXMPPAddress

    public void setXMPPAddress(java.lang.String anAddress)

  Sets the XMPP address

  Parameters:
    `anAddress` - the new XMPP address

### setNumericalService

    public void setNumericalService(java.lang.String aService)

  Sets the numerical service string

  Parameters:
    `aService` - the numerical service

### setNumericalPin

    public void setNumericalPin(java.lang.String aPin)

  Sets the numerical pin

  Parameters:
    `aPin` - the numerical pin

### setTextService

    public void setTextService(java.lang.String aService)

  Sets the text service string

  Parameters:
    `aService` - the text service

### setTextPin

    public void setTextPin(java.lang.String aPin)

  Sets the text pin string

  Parameters:
    `aPin` - the text pin

### addDutySchedule

    public void addDutySchedule(DutySchedule aSchedule)

  This method adds a duty schedule

  Parameters:
    `aSchedule` - a new duty schedule to associate with a user

### setDutySchedule

    public void setDutySchedule(java.util.List someSchedules)

  This method sets a full list of duty schedules for a user

  Parameters:
    `someSchedules` - a list of DutySchedule objects for a user

### getEmail

    public java.lang.String getEmail()

  Returns the email address

  Returns:
    the email address

### getPagerEmail

    public java.lang.String getPagerEmail()

  Returns the pager email address

  Returns:
    the pager email address

### getXMPPAddress

    public java.lang.String getXMPPAddress()

  Returns the XMPP address

  Returns:
    the XMPP address

### getNumericalService

    public java.lang.String getNumericalService()

  Returns the numerical service string

  Returns:
    the numerical service

### getNumericalPin

    public java.lang.String getNumericalPin()

  Returns the numerical pin string

  Returns:
    the numerical pin

### getTextService

    public java.lang.String getTextService()

  Returns the text service string

  Returns:
    the text service

### getTextPin

    public java.lang.String getTextPin()

  Returns the text pin string

  Returns:
    the text pin

### getDutyScheduleCount

    public int getDutyScheduleCount()

  Returns the number of DutySchedule object for a user

  Returns:
    the number of DutySchedules

### getDutySchedules

    public java.util.List getDutySchedules()

  Returns the full list of DutySchedules

  Returns:
    the full list of DutySchedules

### isOnDuty

    public boolean isOnDuty(java.util.Calendar aTime)

  Returns a boolean indicating if the user is on duty at the specified time.

  Parameters:
    `aTime` - a time to see if the user is on duty
  Returns:
    true if the user is on duty, false otherwise

### toString

    public java.lang.String toString()

  A String representation of the notification information, primarily used for debugging.

  Returns:
    String representation of the notification information

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.